/*
 * console_reader.h
 *
 *  Created on: 26.3.2010
 *      Author: hudo
 */

#ifndef CONSOLE_READER_H_
#define CONSOLE_READER_H_

#include "FreeRTOS.h"
#include "queue.h"
#include "semphr.h"
#include "task.h"
#include "uart1.h"
#include "uart0.h"
#include "kom_modul.h"
#include "psock.h"
#include "LCD.h"

struct init_PRIKAZ //Struktura prikazov
{
	char const *meno;
	void (*funkcia)(char* parametre);
};

#define size_of_console_command_buffer 25

void vStartConsole_reader(int priority, const int stack);
void console_reader(void *pvParameters );
uint8 consoleRead(char *buffer,const uint8 max);
void console_reader_uart1(void *pvParameters);

#endif /* CONSOLE_READER_H_ */
